Bug 215639 - Output signal doesn't appear for an externally connected projector
Output signal doesn't appear for an externally connected projector
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-14 18:17 EST by darrell pfeifer
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: FC7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-12 12:37:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.log of previous ati driver where the projector sees a signal (43.59 KB, text/plain)
2006-11-15 18:12 EST, darrell pfeifer
no flags Details
Xorg.log of current rawhide ati driver where projector fails to see signal (43.59 KB, text/plain)
2006-11-15 18:13 EST, darrell pfeifer
no flags Details
current Xorg.conf. Same conf file used in both cases (952 bytes, text/plain)
2006-11-15 18:15 EST, darrell pfeifer
no flags Details

  None (edit)
Description darrell pfeifer 2006-11-14 18:17:11 EST
Description of problem:

Using an IBM R40 laptop with external output to a projector.

In all previous releases of the driver the CRT/LCD function key has not worked.
If the laptop was booted with a projector attached (and turned on) then the
driver would send output to the projector.

In version 6.6.2-4.fc6 (and maybe a couple of versions before that) the
behaviour changed so that anytime a projector was plugged in the external
outputs were active.

In the newest driver xorg-x11-drv-ati-6.6.3-1.fc7 the external output is never
active. It doesn't work just plugging in the projector, nor does it work if you
reboot with the projector turned on so the driver can 'see' the projector.

I know that there are specific xorg.conf options that may get this working
again. It would be nice to have the driver working such that the external
outputs are conveniently on.


Version-Release number of selected component (if applicable):

xorg-x11-drv-ati-6.6.3-1.fc7


How reproducible:

Plug in a laptop. Connect it to an external projector. The projector doesn't get
a signal, regardless of the laptop being booted with the projector plugged in an
turned on.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matěj Cepl 2006-11-15 05:49:11 EST
Thanks for the bug report.  We have reviewed the information you
have provided above, and there is some additional information we
require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X
server log file (/var/log/Xorg.*.log) to the bug report as individual
uncompressed file attachments using the bugzilla file attachment link
below.

We will review this issue again once you've had a chance to attach
this information.

Thanks in advance.
Comment 2 darrell pfeifer 2006-11-15 18:12:24 EST
Created attachment 141321 [details]
Xorg.log of previous ati driver where the projector sees a signal
Comment 3 darrell pfeifer 2006-11-15 18:13:20 EST
Created attachment 141322 [details]
Xorg.log of current rawhide ati driver where projector fails to see signal
Comment 4 darrell pfeifer 2006-11-15 18:15:07 EST
Created attachment 141323 [details]
current Xorg.conf. Same conf file used in both cases
Comment 5 Matěj Cepl 2007-07-12 12:28:44 EDT
Reporter, I am sorry, that we have left this bug unnoticed for so long, but
could you confirm please, that this bug still could be reproduced with the
latest updates of Fedora?
Comment 6 darrell pfeifer 2007-07-12 12:37:43 EDT
This works correctly on FC7.

Note You need to log in before you can comment on or make changes to this bug.